跳转到主要内容
GET
/
v3
/
enterprise
/
knowledge
/
notes
/
{note_id}
按 ID 获取笔记
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/knowledge/notes/{note_id} \
  --header 'Authorization: Bearer <token>'
{
  "access_type": "enterprise",
  "body": "<string>",
  "created_at": 123,
  "folder_id": "<string>",
  "folder_path": "<string>",
  "is_enabled": true,
  "macro": "<string>",
  "name": "<string>",
  "note_id": "<string>",
  "org_id": "<string>",
  "pinned_repo": "<string>",
  "trigger": "<string>",
  "updated_at": 123
}

权限

需要在企业级别拥有 ManageAccountKnowledge 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

路径参数

note_id
string
必填

knowledge note ID(前缀:note-)

示例:

"note-abc123def456"

响应

成功响应

access_type
enum<string>
必填
可用选项:
enterprise,
org
body
string
必填
created_at
integer
必填
folder_id
string | null
必填
folder_path
string
必填
is_enabled
boolean
必填
macro
string | null
必填
name
string
必填
note_id
string
必填
org_id
string | null
必填
pinned_repo
string | null
必填
trigger
string
必填
updated_at
integer
必填